#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	usbredir
Version		:	0.13.0
Release		:	16.2.0.rel%{?dist}
Summary		:	USB network redirection protocol libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	https://www.spice-space.org/usbredir.html

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	gcc
BuildRequires	:	meson
BuildRequires	:	glib-devel
BuildRequires	:	gnupg
BuildRequires	:	libusb
#-----------------------------------------------------------------------------
%description
The usbredir libraries allow USB devices to be
used on remote and/or virtual hosts over TCP.
The following libraries are provided:
 
usbredirparser:
A library containing the parser for the usbredir protocol
 
usbredirhost:
A library implementing the USB host side of a usbredir connection.
All that an application wishing to implement
a USB host needs to do is:
  * Provide a libusb device handle for the device
  * Provide write and read callbacks for the actual transport of usbredir data
  * Monitor for usbredir and libusb read/write events and call their handlers

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%license COPYING.LIB
%{_libdir}/lib%{name}*.so.*
 
#=============================================================================
%package		devel
Summary		:	Development files for %{name}
	
#-----------------------------------------------------------------------------
Requires	:	%{name}		=  %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The %{name}-devel package contains libraries and
header files for developing applications that
use %{name}.

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root,-)
%doc ChangeLog.md TODO
%doc docs/usb-redirection-protocol.md docs/multi-thread.md
%{_includedir}/%{name}*.h
%{_libdir}/lib%{name}*.so
%{_libdir}/pkgconfig/lib%{name}*.pc
 
 
#=============================================================================
%package		tools
Summary		:	usbredir utility tools
	
#-----------------------------------------------------------------------------
Requires	:	%{name}		=  %{version}-%{release}

#-----------------------------------------------------------------------------
%description		tools
Includes usbredirect that uses libusbredirhost
to export an USB device for use in another
(virtual) machine

#-----------------------------------------------------------------------------
%files			tools
%defattr(-,root,root,-)
%license COPYING
%{_bindir}/%{name}ect
%{_mandir}/man1/%{name}ect.1.gz
 
#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson							\
	setup						\
        --prefix=%{_prefix}				\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	-D git_werror=disabled				\
	-D tools=enabled				\
	-D fuzzing=disabled				\
	_bld

meson							\
	compile						\
	-C _bld


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

DESTDIR=%{buildroot}					\
meson							\
	install						\
	-C _bld

#-----------------------------------------------------------------------------
%changelog
